please switch to min version.